Page MenuHomeFreeBSD

pfctl: Use the new DIOCGETRULENV ioctl
ClosedPublic

Authored by kp on Apr 2 2021, 6:55 PM.
Tags
None
Referenced Files
Unknown Object (File)
Thu, Feb 8, 4:08 AM
Unknown Object (File)
Jan 3 2024, 10:15 AM
Unknown Object (File)
Dec 28 2023, 10:39 AM
Unknown Object (File)
Dec 23 2023, 7:28 PM
Unknown Object (File)
Dec 20 2023, 4:21 AM
Unknown Object (File)
Dec 12 2023, 10:34 AM
Unknown Object (File)
Nov 22 2023, 12:57 AM
Unknown Object (File)
Nov 21 2023, 9:55 PM

Details

Summary

Create wrapper functions to handle the parsing of the nvlist and move
that code into pfctl_ioctl.c.
At some point this should be moved into a libpfctl.

MFC after: 4 weeks
Sponsored by: Rubicon Communications, LLC ("Netgate")

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

Rebase

  • remove rt_listid
  • Return qid/pqid (which pfctl can display for debugging)
This revision was not accepted when it landed; it landed in state Needs Review.Apr 10 2021, 9:17 AM
This revision was automatically updated to reflect the committed changes.